#include <bits/stdc++.h>

using namespace std;

int a[1000000];


int main(){
	
	int rez=0;
	int n, x;
	
	cin>>n>>x;
	
	for(int i=0; i<n; i++){
		cin>>a[i];
	}
	sort(a, a+n);
	
	int lraz=abs(x-a[0]);
	int draz=abs(x-a[n-1]);
	
	if(x<=a[0]){
		rez=a[n-1]-x;
	}
	else if(x>=a[n-1]){
		rez=x-a[0];
	}
	else if(x<a[n-1] && x>a[0]){
		if(lraz<draz){
			rez=(x-a[0])*2+(a[n-1]-x);
		}
		else{
			rez=(a[n-1]-x)*2+(x-a[0]);
		}
	}
	
	cout<<rez;
	
}